//------------------------------------------------------------------------------
// shape_In.cpp -     
//     
//------------------------------------------------------------------------------

#include <iostream>
#include "shape_atd.h"

//------------------------------------------------------------------------------

using namespace std;

namespace simple_shapes {

//------------------------------------------------------------------------------

  //       
  //  . ,  ,    .
  void In(rectangle &r);
  void In(triangle &t);

//------------------------------------------------------------------------------

  //        
  bool In(shape &s)
  {
    cout << "Input key: for Rectangle is 1, for Triangle is 2, else break: ";
    int k;
    cin >> k;
    switch(k) {
    case 1:
      s.pr = new rectangle;
      s.k = shape::key::RECTANGLE;
      In(*(s.pr));
      return true;
    case 2:
      s.pt = new triangle;
      s.k = shape::key::TRIANGLE;
      In(*(s.pt));
      return true;
    default:
      return false;
    }
  }

//------------------------------------------------------------------------------

} // end simple_shapes namespace
